package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrSubcontentMapper;
import com.ruoyi.project.pssr.domain.TPssrSubcontent;
import com.ruoyi.project.pssr.service.ITPssrSubcontentService;

/**
 * 开车条件确认Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrSubcontentServiceImpl implements ITPssrSubcontentService
{
    @Autowired
    private TPssrSubcontentMapper tPssrSubcontentMapper;

    /**
     * 查询开车条件确认
     *
     * @param id 开车条件确认ID
     * @return 开车条件确认
     */
    @Override
    public TPssrSubcontent selectTPssrSubcontentById(Long id)
    {
        return tPssrSubcontentMapper.selectTPssrSubcontentById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrSubcontentMapper.selectNoConfirmCount(subId);
    }
    /**
     * 查询开车条件确认列表
     *
     * @param tPssrSubcontent 开车条件确认
     * @return 开车条件确认
     */
    @Override
    public List<TPssrSubcontent> selectTPssrSubcontentList(TPssrSubcontent tPssrSubcontent)
    {
        return tPssrSubcontentMapper.selectTPssrSubcontentList(tPssrSubcontent);
    }
    @Override
    public List<TPssrSubcontent> selectTPssrSubcontentListByForShort(TPssrSubcontent tPssrSubcontent)
    {
        return tPssrSubcontentMapper.selectTPssrSubcontentListByForShort(tPssrSubcontent);
    }

    /**
     * 新增开车条件确认
     *
     * @param tPssrSubcontent 开车条件确认
     * @return 结果
     */
    @Override
    public int insertTPssrSubcontent(TPssrSubcontent tPssrSubcontent)
    {
        return tPssrSubcontentMapper.insertTPssrSubcontent(tPssrSubcontent);
    }

    /**
     * 修改开车条件确认
     *
     * @param tPssrSubcontent 开车条件确认
     * @return 结果
     */
    @Override
    public int updateTPssrSubcontent(TPssrSubcontent tPssrSubcontent)
    {
        return tPssrSubcontentMapper.updateTPssrSubcontent(tPssrSubcontent);
    }

    /**
     * 批量删除开车条件确认
     *
     * @param ids 需要删除的开车条件确认ID
     * @return 结果
     */
    @Override
    public int deleteTPssrSubcontentByIds(Long[] ids)
    {
        return tPssrSubcontentMapper.deleteTPssrSubcontentByIds(ids);
    }

    /**
     * 删除开车条件确认信息
     *
     * @param id 开车条件确认ID
     * @return 结果
     */
    @Override
    public int deleteTPssrSubcontentById(Long id)
    {
        return tPssrSubcontentMapper.deleteTPssrSubcontentById(id);
    }
}
